%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%define		_class		Net
%define		_subclass	SMPP
%define		upstream_name	%{_class}_%{_subclass}_Client

Name:		php-pear-%{upstream_name}
Version:	0.4.1
Release:	%mkrel 6
Summary:	SMPP v3.4 client
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_SMPP_Client/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-pear >= 1.3
Requires:       php-pear-Net_Socket >= 1.0.0
Requires:       php-pear-Net_SMPP >= 0.4.1
Requires:       php-pear >= 1.5.6
BuildArch:	noarch

%description
Net_SMPP_Client is a package for communicating with SMPP servers, built
with
Net_SMPP. It can be used to send SMS messages, among other things.

    Features:
    - PDU stack keeps track of which PDUs have crossed the wire
    - Keeps track of the connection state, and won't let you send PDUs if
      the state is incorrect.
    - Supports SMPP vendor extensions.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMPP_Client.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMPP_Client.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMPP_Client
fi

%files
%doc docs/Net_SMPP_Client/*
%{peardir}/*
%{xmldir}/Net_SMPP_Client.xml




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.1-6.mga8
+ Revision: 1499117
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.1-5.mga7
+ Revision: 1273737
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.4.1-4.mga6
+ Revision: 941688
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-3.mga5
+ Revision: 744878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-2.mga5
+ Revision: 687386
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 0.4.1-1.mga5
+ Revision: 644088
- pearified spec
- upgrade to ver. 0.4.1

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-8.mga4
+ Revision: 517033
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-7.mga3
+ Revision: 377027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.3.2-6.mga1
+ Revision: 43561
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SMPP_Client


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-6mdv2011.0
+ Revision: 613737
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-5mdv2010.1
+ Revision: 468719
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2010.0
+ Revision: 441493
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-3mdv2009.1
+ Revision: 322498
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-2mdv2009.0
+ Revision: 268961
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 216495
- adopt to mandriva style
- import php-pear-Net_SMPP_Client


